HarnessCatalogService
The HarnessCatalogService methods and their request and response messages.
Generated from harness.proto. Every method is
POST /rpc/engram.app.v1.HarnessCatalogService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”| Method | Request | Response |
|---|---|---|
RegisterHarness |
RegisterHarnessRequest |
RegisterHarnessResponse |
ListHarnesses |
ListHarnessesRequest |
ListHarnessesResponse |
GetHarness |
GetHarnessRequest |
GetHarnessResponse |
DeleteHarness |
DeleteHarnessRequest |
DeleteHarnessResponse |
Messages
Section titled “Messages”DeleteHarnessRequest
Section titled “DeleteHarnessRequest”| Field | Type |
|---|---|
name |
string |
DeleteHarnessResponse
Section titled “DeleteHarnessResponse”| Field | Type |
|---|---|
deleted |
bool |
GetHarnessRequest
Section titled “GetHarnessRequest”| Field | Type |
|---|---|
name |
string |
GetHarnessResponse
Section titled “GetHarnessResponse”| Field | Type |
|---|---|
harness |
HarnessSummary |
HarnessAuth
Section titled “HarnessAuth”| Field | Type |
|---|---|
org_env |
string (optional) |
user_env |
string (optional) |
org_env_hint |
string (optional) |
user_env_hint |
string (optional) |
user_oauth |
HarnessOAuth |
HarnessDescriptor
Section titled “HarnessDescriptor”| Field | Type |
|---|---|
name |
string |
label |
string (optional) |
auth |
HarnessAuth |
models |
repeated HarnessOption |
effort |
repeated HarnessOption |
description |
string (optional) |
egress |
HarnessEgress |
modes |
repeated HarnessMode |
router_protocols |
repeated string |
native_egress |
HarnessEgress |
HarnessEgress
Section titled “HarnessEgress”| Field | Type |
|---|---|
allow_hosts |
repeated string |
allow_host_patterns |
repeated string |
HarnessMode
Section titled “HarnessMode”| Field | Type |
|---|---|
id |
string |
label |
string (optional) |
default |
bool |
HarnessOAuth
Section titled “HarnessOAuth”| Field | Type |
|---|---|
provider |
string |
delivery |
OauthDelivery |
HarnessOption
Section titled “HarnessOption”| Field | Type |
|---|---|
id |
string |
label |
string (optional) |
default |
bool |
env |
map<string, string> |
HarnessSummary
Section titled “HarnessSummary”| Field | Type |
|---|---|
name |
string |
descriptor |
HarnessDescriptor |
built_in |
bool |
ListHarnessesRequest
Section titled “ListHarnessesRequest”No fields.
ListHarnessesResponse
Section titled “ListHarnessesResponse”| Field | Type |
|---|---|
harnesses |
repeated HarnessSummary |
RegisterHarnessRequest
Section titled “RegisterHarnessRequest”| Field | Type |
|---|---|
name |
string |
oci_ref |
string |
owner |
string |
RegisterHarnessResponse
Section titled “RegisterHarnessResponse”| Field | Type |
|---|---|
harness |
HarnessSummary |
OauthDelivery
Section titled “OauthDelivery”| Value | Number |
|---|---|
OAUTH_DELIVERY_UNSPECIFIED |
0 |
OAUTH_DELIVERY_OPAQUE_BUNDLE |
1 |